<?php

class EventStore
{
	protected $events = array();
	protected static $instance; 


	final private function __construct()
	{
		$this->_loadEvents($GLOBALS['EVENT_DIR']);
	}

	final private function __clone() {}

	public static function getInstance() 
	{ 
		if (!(self::$instance instanceof self))
		{
			self::$instance = new self();
		}
		return self::$instance;
	}	

	protected function _loadEvents($dir)
	{
		$events = scandir($dir);
		foreach($events as $e)
		{
			if(substr($e,0,1)=='.')
			{
				continue;
			}
			$event = new Event(file("${dir}/${e}"), $e);
			$this->events[$e] = $event;
		}
	}

	public function getEvents()
	{
		return $this->events;
	}
}


?>
