<?php

class PageStore
{
	protected $pages = array();
	protected static $instance; 


	final private function __construct()
	{
	}

	final private function __clone() {}

	public static function getInstance() 
	{ 
		if (!(self::$instance instanceof self))
		{
			self::$instance = new self();
		}
		return self::$instance;
	}	

	public function addPage($label, $file)
	{
		$lower = strtolower($label);
		if($lower == 'home') $url = '/';
		else $url = '/' . $lower;
		$this->pages[$lower] = new Page($url, $label, $file);
	}

	public function getPage($label)
	{
		$lower = strtolower($label);
		$lower = str_replace(' ', '_', $lower);
		if(!$lower)
		{
			$lower='home';
		}
		if(isset($this->pages[$lower])) return $this->pages[$lower];
		return "";
	}

	public function getPages()
	{
		return $this->pages;
	}
}


?>
